1. 14 Feb, 2019 11 commits
    • Shengjing Zhu's avatar
      Update changelog for 1.8.4 release · 91d59a2b
      Shengjing Zhu authored
      91d59a2b
    • Shengjing Zhu's avatar
    • Shengjing Zhu's avatar
    • Shengjing Zhu's avatar
      87dc0ebf
    • Shengjing Zhu's avatar
      514d33d4
    • Shengjing Zhu's avatar
      d1ddb5c7
    • Shengjing Zhu's avatar
    • Shengjing Zhu's avatar
      Run wrap-and-sort -bast · bcf024ee
      Shengjing Zhu authored
      Gbp-Dch: Ignore
      bcf024ee
    • Shengjing Zhu's avatar
      Set Maintainer to Debian QA Group · ccf58fa2
      Shengjing Zhu authored
      ccf58fa2
    • Shengjing Zhu's avatar
      Remove unused pubkey-google.txt · 5dfd63dc
      Shengjing Zhu authored
      5dfd63dc
    • Yann Dirson's avatar
      Import Debian version 1.8.3+nmu1 · 7dff115c
      Yann Dirson authored
      pepperflashplugin-nonfree (1.8.3+nmu1) unstable; urgency=medium
      
        [ Bob Proulx ]
        * Patched to use Adobe upstream rather than Google.
        * Inspired by the patch provided in Bug#833741#15 by Kristian Klausen
          but rewritten.  Closes: #833741,  #841373, #840779.
        * Adds in 32-bit support.
        
        [ Yann Dirson ]
        * Non-maintainer upload.
        * Updated Bob's patch to apply on 1.8.3
      
      pepperflashplugin-nonfree (1.8.3) unstable; urgency=medium
      
        * update-pepperflashplugin-nonfree:
          Added 'Dir::State::Status "/var/lib/dpkg/status";'.  Closes: #833643.
        * debian/control: Depends: gnupg1 | gnpug.
      
      pepperflashplugin-nonfree (1.8.2+nmu1) unstable; urgency=medium
      
        * Non-maintainer upload.
        * Update Google public key. Closes: #823005.
        * Remove 32 bit support. Closes: #816848.
        * Don't treat `apt-get update` warnings as errors. Closes: #818540.
        * Validate deb file with sha256sum.
      
      pepperflashplugin-nonfree (1.8.2) unstable; urgency=medium
      
        * Added APT::Sandbox::User "root"; Closes: #769740.
        * Added '|| true'. Closes: #803349.
      
      pepperflashplugin-nonfree (1.8.1) unstable; urgency=medium
      
        * debian/control: Pre-Depends: ca-certificates.  Closes: #773629.
      
      pepperflashplugin-nonfree (1.8) unstable; urgency=medium
      
        * Removed support for /etc/chromium/default.  Closes: #760388.
          + etc-chromium-default.txt: Removed.
          + debian/etc/chromium.d/pepperflashplugin-nonfree: Added.
          + debian/dirs: Added etc/chromium.d/.
          + debian/install: add file in etc/chromium.d/.
          + update-pepperflashplugin-nonfree: Removed dealing with
            /etc/chromium/default and /etc/chromium.d.
          + debian/control: Conflicts: chromium (<< 37.0.2062.120-4).  This package
            doesn't really conflict with these old versions of chromium, but it makes
            explicit that pepperflashplugin-nonfree isn't useful for versions of
            chromium still using /etc/chromium/default, as agreed on debian-release
            on Sun, 12 Oct 2014 15:38:03 +0200.
      
      pepperflashplugin-nonfree (1.7) unstable; urgency=medium
      
        * Closes: #761397 :
          + etc-chromium-default.txt: Use same approach as in
            update-pepperflashplugin-nonfree for reading the flash version
            from the so file.
          + update-pepperflashplugin-nonfree: Replace contents of
            etc-chromium-default.txt in /etc/chromium/default when
            installing again.
          + Remove contents of etc-chromium-default.txt from /etc/chromium/default
            when uninstalling and when /etc/chromium.d exists.
        * update-pepperflashplugin-nonfree: Added removal of old deb files.
          Closes: #761323, #761495.
      
      pepperflashplugin-nonfree (1.6) unstable; urgency=medium
      
        * update-pepperflashplugin-nonfree: Remove bad latest*txt files from cache,
          and don't cache nor use bad downloaded latest*txt files.  Closes: #761022.
        * update-pepperflashplugin-nonfree: Don't update /etc/chromium/default if
          /etc/chromium.d exists.  However, still updating /etc/chromium/default if
          /etc/chromium.d does not exist, so not yet closing #760388.
        * debian/control: Added Depends: ca-certificates.  Closes: #758609.
        * update-pepperflashplugin-nonfree: Use "id -u".  Closes: #756204.
        * update-pepperflashplugin-nonfree: Also remove json.  Closes: #758081.
      
      pepperflashplugin-nonfree (1.5) unstable; urgency=low
      
        * update-pepperflashplugin-nonfree: Added chrome-beta directory.
        * update-pepperflashplugin-nonfree: Install manifest.json. Closes: #753400.
      
      pepperflashplugin-nonfree (1.4) unstable; urgency=medium
      
        * Additionally use /etc/chromium.d/. Closes: #752286.
      
      pepperflashplugin-nonfree (1.3) unstable; urgency=medium
      
        * Depends: libpango-1.0-0 | libpango1.0-0, to make it work for stable.
      
      pepperflashplugin-nonfree (1.2) unstable; urgency=low
      
        * Add arch in sources.list.  Closes: #727813.
        * Replaced libpango1.0-0 by libpango-1.0-0 in Depends.  Closes: #731493.
      
      pepperflashplugin-nonfree (1.1) unstable; urgency=low
      
        * Look in both /chrome/ and /chrome-unstable/ for the sofile.
        * No longer "Conflicts: flashplayer-mozilla".  Closes: #724572.
        * Update /etc/chromium/default only when it exists.
        * Moving from experimental to unstable.
      
      pepperflashplugin-nonfree (1) experimental; urgency=low
      
        * Initial package.  Closes: #715245.
      7dff115c